> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riyadhparking.sa/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh Token



## OpenAPI

````yaml POST /auth/public/refresh
openapi: 3.0.1
info:
  title: Remat Application
  version: v1
servers:
  - url: /spsr-api
    description: Default Server URL
security:
  - Authorization: []
tags:
  - name: Authentication
    description: Authentication endpoints
  - name: Site Controller
    description: Handles site-related operations
  - name: Violation Controller
    description: Handles violation-related operations
  - name: Ticket Controller
    description: Handles ticket-related operations
  - name: Ticket Guest Controller
    description: Handles guest ticket-related operations
paths:
  /auth/public/refresh:
    post:
      tags:
        - Authentication
      summary: Refresh authentication token
      operationId: refreshTokenPublic
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RefreshTokenModel'
        required: true
      responses:
        '200':
          description: Token refreshed successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BaseResponseObject'
components:
  schemas:
    RefreshTokenModel:
      type: object
      properties:
        refreshToken:
          type: string
      required:
        - refreshToken
    BaseResponseObject:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
        data:
          type: object
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      bearerFormat: JWT

````